<template>
  <div
    class="meter bg-lightblue text-darkblue rounded-md px-4 py-10 font-semibold text-center h-full overflow-y-auto"
  >
    <div class="text-3xl flex items-center justify-center gap-2">
      <img :src="require('~/assets/images/energy 1.svg')" alt="energy 1.svg" />

      Energy meter
    </div>

    <div class="text-4xl flex justify-center items-end mt-10">
      <div
        class="bg-darkblue text-white rounded-l-md py-2 px-1 tracking-[12px] pl-4"
      >
        {{ selected_meter.unit }}
      </div>

      <div class="bg-red text-white rounded-r-md py-2 px-1 ml-1 w-[50px]">
        {{ `${selected_meter.unit}`.slice(-1) }}
      </div>

      <div class="text-xl ml-2">kW-h</div>
    </div>

    <img
      :src="require('~/assets/images/Group 631.svg')"
      alt="Group 631.svg"
      class="mx-auto mt-10"
    />

    <div
      class="grid grid-cols-3 gap-[1px] rounded-md overflow-hidden mt-10 whitespace-nowrap"
    >
      <div
        class="bg-blue bg-opacity-20 p-2 flex flex-col justify-between h-[96px]"
      >
        <div>แรงดันไฟฟ้า</div>

        <div class="text-xl text-darkgrey">
          {{
            selected_meter.voltages[selected_meter.voltages.length - 1].value
          }}
        </div>

        <div>V</div>
      </div>

      <div
        class="bg-blue bg-opacity-20 p-2 flex flex-col justify-between h-[96px]"
      >
        <div>ความถี่</div>

        <div class="text-xl text-darkgrey">
          {{
            selected_meter.frequencies[selected_meter.frequencies.length - 1]
              .value
          }}
        </div>

        <div>Hz</div>
      </div>

      <div
        class="bg-blue bg-opacity-20 p-2 flex flex-col justify-between h-[96px]"
      >
        <div>กำลังไฟฟ้า</div>

        <div class="text-xl text-darkgrey">
          {{ selected_meter.powers[selected_meter.powers.length - 1].value }}
        </div>

        <div>W</div>
      </div>

      <div
        class="bg-blue bg-opacity-20 p-2 flex flex-col justify-between h-[96px]"
      >
        <div>กระแสไฟฟ้า</div>

        <div class="text-xl text-darkgrey">
          {{
            selected_meter.currents[selected_meter.currents.length - 1].value
          }}
        </div>

        <div>A</div>
      </div>

      <div
        class="col-span-2 bg-blue bg-opacity-20 p-2 flex flex-col justify-between h-[96px]"
      >
        <div>No.</div>

        <div class="text-xl text-darkgrey">
          {{ selected_meter.no }}
        </div>

        <div class="opacity-0">Hz</div>
      </div>
    </div>

    <div class="mt-10">
      <div class="text-xl">การใช้พลังงานเดือนนี้ (kWh)</div>

      <div class="flex items-center justify-center text-4xl mt-3">
        <img
          :src="require('~/assets/images/Lightning Bolt.svg')"
          alt="Lightning Bolt.svg"
        />

        <div class="w-[180px]">
          {{ selected_meter.energy_consum_monthly }}
        </div>
      </div>
    </div>

    <div class="mt-10">
      <div class="text-xl">ค่าไฟฟ้าโดยประมาณ (บาท)</div>

      <div class="flex items-center justify-center text-4xl mt-3">
        <img :src="require('~/assets/images/Money.svg')" alt="Money.svg" />

        <div class="w-[180px]">
          {{ selected_meter.estimated_cost }}
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    selected_meter: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },
};
</script>

<style lang="scss" scoped></style>
